      function nr_of_tidesymbol (symbol,qcase)
c BTIDE U * locate tide in pot.spectrum by symbol
c>
c Qcase - logical - test with upper/lower case significant
c
c Upd. 94-01-31: Uses ARGOFSY.f subroutines instead.
c_
      parameter   (ndef=11)

      integer*2   iaa(0:9)
      character   symbol*(*)
      logical     qcase,quc

      quc=.not.qcase
      call argn_of_symbol (symbol,iaa,9,quc)

      if (iaa(0).lt.0) then
         print '(3a)',' <NrOTid>T> Unknown symbol >',symbol,'<'
     &,               ' <NrOTid>I> User, update argofsy.f !'
         stop
      endif

      nr_of_tidesymbol = nr_of_tide (iaa,9)
      return
      end

      subroutine symbol_of_tide (iaa,sy)
c BTIDE U * returns symbol of tide (astr.arg.nos.)
      integer*2   iaa(0:9)
      character*4 sy

      call symbol_of_argn (iaa,9,sy)
      return
      end

