      SUBROUTINE Print_Major_Tides (many,ZDR,columns,sort_column)
c BTIDE * print a 3-component spectrum
c
      real*8          as(1200), amp,pha,fre, pi,rad
      integer         ip(1200), iq(1200), columns, sort_column
      integer*2       IFR(0:9,1200)
      complex*16      ZDR(1200,*), Z, ZP, ZV(3), DPOLAR
      character       SYMB*4, opt*4
      logical         QP, QO, qor_index
      
      COMMON /CASTSP/ AMP(1200),PHA(1200),FRE(1200),NV,IFR
      COMMON /MPAR/   PI,RAD
      
      DATA        QP/.FALSE./, QO/.FALSE./

      K      =    sort_column
      DO 211      I   =  1,NV
211   AS(I)  =    ABS    (ZDR(I,K))
      CALL        DSORT  (AS,NV,IP)
      GOTO        1

      entry Print_Sorted_Tides (many,ZDR,columns,iq)
c BTIDE * print a 3-component sorted spectrum
c
      do 101      i=1,many
101   ip(i)  =    iq(i)

1     print '(a,l2/4a)','0<PrMTid>>> Sorted tides spectrum, qp=:',qp
     &,'   ________Astr.arg.numbers____ SYMB     Freq.      '
     &,('Ampl.      Phase    ',i=1,columns)

      ZP     =    (1.0d0, 0.0d0)
      DO 103      JP  =  1,many
      I      =    IP(JP)
      CALL        Symbol_Of_Tide   (IFR(0,I),SYMB)
      IF (QP)     ZP=CDEXP((0.0d0,-1.0d0)*PHA(I))
      DO 104      J=1,columns
      ZV(j)  =    zdr(i,j)*zp
      IF (QO)     ZV(J)=DCONJG(ZV(J))
104   CONTINUE
 
103   PRINT 1002, (IFR(J,I),J=0,9), SYMB
     &,            fre(i)/rad/15.d0
     &,           (dpolar(zv(J),0.0d0),J=1,columns)
1002  FORMAT      (1H ,10I3,1x,a4,1x,f11.7,3(1P,D12.4,0P,F8.2))
      print '(a)'
     &,' _____________________________________________________________'
     &,' <PrMtid>>>'
      return

      entry print_tides_opt (opt)
      if (qor_index(opt,'hH',iqq)) qp=.true.
      if (qor_index(opt,'oO',iqq)) qo=.true.
      print '(a,l2)',' <PrTOpt>>> Reduced phase:',qp
      print '(a,l2)',' <PrTOpt>>> Oceanographers phase:',qo
      return

      end
