      SUBROUTINE DHISTO (DX,ARRIN,N,INDX,H,M)
      REAL*8 ARRIN(N),DX,X
      REAL*4 H(*)
      INTEGER INDX(N)
      
      CALL DSORT (ARRIN,N,INDX)
      
      X=IDINT(ARRIN(INDX(N))/DX)*DX
      IF (X.GT.0.D0) X=X+DX
      
      K=N
      M=1
      J=N+1
      
 101  IF (ARRIN(INDX(K)).GT.X) THEN
         H(M)=(J-K)/FLOAT(N)
         J=K
         M=M+1
         X=X+DX
         IF (ARRIN(INDX(K)).GT.X) GOTO 101
      ENDIF
      K=K-1
      IF (K.GT.0) GOTO 101
      RETURN
      END

      DOUBLE PRECISION FUNCTION POINTPC (V,ARRIN,N,INDX)
C Utility * Find the V-percentile point
C
C V        - percent
C POINTPC  - V% of ARRIN are less than POINTPC
C
      REAL*8  ARRIN(N)
      REAL*4  V        !!
      INTEGER INDX(N)

      CALL DSORT (ARRIN,N,INDX)
      J=INT((1.-V/100.)/FLOAT(N))
      POINTPC=(ARRIN(INDX(J))+ARRIN(INDX(J+1)))/2.D0
      RETURN
      END
      

      SUBROUTINE DSORT (ARRIN,N,INDX)
C Utility * Heapsort, Numerical Recipes
      REAL*8 ARRIN,Q
      DIMENSION ARRIN(N),INDX(N)
      DO 11 J=1,N
        INDX(J)=J
11    CONTINUE
      L=N/2+1
      IR=N
10    CONTINUE
        IF(L.GT.1)THEN
          L=L-1
          INDXT=INDX(L)
          Q=ARRIN(INDXT)
        ELSE
          INDXT=INDX(IR)
          Q=ARRIN(INDXT)
          INDX(IR)=INDX(1)
          IR=IR-1
          IF(IR.EQ.1)THEN
            INDX(1)=INDXT
            RETURN
          ENDIF
        ENDIF
        I=L
        J=L+L
20      IF(J.LE.IR)THEN
          IF(J.LT.IR)THEN
            IF(ARRIN(INDX(J)).GT.ARRIN(INDX(J+1)))J=J+1
          ENDIF
          IF(Q.GT.ARRIN(INDX(J)))THEN
            INDX(I)=INDX(J)
            I=J
            J=J+J
          ELSE
            J=IR+1
          ENDIF
        GO TO 20
        ENDIF
        INDX(I)=INDXT
      GO TO 10
      END
C:Provides  subroutine dsort F=qsort.f

