      SUBROUTINE UCASE (S,T)
C String procedure * Lower case -> upper case
C
      CHARACTER S*(*), T*(*)
      N=MIN0(LEN(S),LEN(T))
      DO 101 I=1,N
      J=ICHAR(S(I:I))
      IF (J.GT.96.AND.J.LT.123) J=J-32
      T(I:I)=CHAR(J)
101   CONTINUE
      END

      SUBROUTINE LCASE (S,T)
C String procedure * Lower case <- upper case
C
      CHARACTER S*(*), T*(*)
      N=MIN0(LEN(S),LEN(T))
      DO 101 I=1,N
      J=ICHAR(S(I:I))
      IF (J.GT.64.AND.J.LT.91) J=J+32
      T(I:I)=CHAR(J)
101   CONTINUE
      END

      subroutine delete_1_in_string (s,c,m,n)
      character s*(*),c*(*)
      nn=n
      mm=max0(1,m)
      ls=index_l_nonblank(s)
      if (n.le.0) nn=ls
      lc=index_l_nonblank(c)
      if (c.eq.' ') lc=1
      i=index(s(mm:nn),c)+mm-1
      if (i.lt.mm) return
      lc1=lc-1
      s(i:nn-lc)=s(i+lc:nn)
      s(nn-lc1:nn)=' '
      return
      end

      subroutine delete_l_in_string (s,c,m,n)
      character s*(*),c*(*)
      nn=n
      mm=max0(1,m)
      ls=index_l_nonblank(s)
      if (n.le.0) nn=ls
      lc=index_l_nonblank(c)
      if (c.eq.' ') lc=1
      i=index_l(s(mm:nn),c)+mm-1
      if (i.lt.mm) return
      lc1=lc-1
      s(i:nn-lc)=s(i+lc:nn)
      s(nn-lc1:nn)=' '
      return
      end

      subroutine delete_in_string (s,c,m,n)
c String utility * Delete c in s
c
c Deletes string C in string  S(m:n)  by moving text leftward until len(s)
c
      character s*(*), c*(*)
      ls=index_l_nonblank(s)
      if (ls.lt.1) ls=len(s)
      if (n.gt.0) ls=min0(n,ls)
      lc=len(c)
      
      if (index(s(:ls),c).eq.ls-lc+1) then
         s(ls-lc+1:)=' '
         return
      endif

      if (c.eq.' ') lc=1
      lc1=lc-1
      k=lc1
      i=m-1

 101  i=index(s(m:ls),c)+m-1
      if (i.ge.m) then
         s(i:)=s(i+lc:)
         ls=ls-lc
         s(ls+1:)=' '
         goto 101
      else
         return
      endif
      end
         
      subroutine replace_in_string (str,t,r,ib,l)
      character str*(*),t*(*),r*(*)
      ls=len(str)
      lt=len(t)
      lr=len(r)
      
      la=l
      lnb=index_l_nonblank(str)
      if (l.le.0) la=lnb
      lat=index_l_nonblank(t)
      if (lat.eq.0) lat=lt
      lar=index_l_nonblank(r)
      if (lar.eq.0) lar=lr

      ip=index(str(ib:la),t(:lat))+ib-1

      if (ip.lt.ib) return

      lrs=lnb+lar-lat
      if (lrs.gt.ls) lnb=lnb+ls-lrs

      str=str(:ip-1)//r(:lar)//str(ip+lat:lnb)
      return
      end

      integer function replace_in_str (str,t,r,ib,l)

c 101 continue
c     if (replace_in_str(str,t,r,ib,l).gt.0) goto 101
c
c     will replace all t with r in str
c 
      character str*(*),t*(*),r*(*)
      ls=len(str)
      lt=len(t)
      lr=len(r)
      
      la=l
      lnb=index_l_nonblank(str)
      if (l.le.0) la=lnb
      lat=index_l_nonblank(t)
      if (lat.eq.0) lat=lt
      lar=index_l_nonblank(r)
      if (lar.eq.0) lar=lr

      ip=index(str(ib:la),t(:lat))

      replace_in_str=ip+ib-1
      if (ip.lt.ib) return

      lrs=lnb+lar-lat
      if (lrs.gt.ls) lnb=lnb+ls-lrs

      str=str(:ip-1)//r(:lar)//str(ip+lat:lnb)
      replace_in_str=ip
      return
      end

      subroutine replall_in_string (str,t,r,ib,l)
      integer replace_in_str
      character str*(*),t*(*),r*(*)

 101  continue
      if (replace_in_str(str,t,r,ib,l).gt.0) goto 101
      return
      end
C:Provides  subroutine ucase F=ucase.f
C:Provides  subroutine lcase F=ucase.f
C:Provides  subroutine delete_1_in_string F=ucase.f
C:Provides  subroutine delete_l_in_string F=ucase.f
C:Provides  subroutine delete_in_string F=ucase.f
C:Provides  subroutine replace_in_string F=ucase.f
C:Provides  integer function replace_in_str F=ucase.f
